Description: correct includes
 This part of the code was moved into it's own project and was packaged
 separately by me. To make the build process work, this small fix is
 necessary.
Author: Philipp Huebner <debalance@debian.org>

Index: ejabberd-contrib/mod_log_chat/src/mod_log_chat.erl
===================================================================
--- ejabberd-contrib.orig/mod_log_chat/src/mod_log_chat.erl
+++ ejabberd-contrib/mod_log_chat/src/mod_log_chat.erl
@@ -20,7 +20,7 @@
 -endif.
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(PROCNAME, ?MODULE).
 -define(DEFAULT_PATH, ".").
Index: ejabberd-contrib/mod_logsession/src/mod_logsession.erl
===================================================================
--- ejabberd-contrib.orig/mod_logsession/src/mod_logsession.erl
+++ ejabberd-contrib/mod_logsession/src/mod_logsession.erl
@@ -35,7 +35,7 @@
 	 failed_auth/3,
 	 forbidden/1]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("ejabberd_commands.hrl").
 
 -define(PROCNAME, ejabberd_logsession).
Index: ejabberd-contrib/mod_logxml/src/mod_logxml.erl
===================================================================
--- ejabberd-contrib.orig/mod_logxml/src/mod_logxml.erl
+++ ejabberd-contrib/mod_logxml/src/mod_logxml.erl
@@ -15,7 +15,7 @@
 	 send_packet/1, receive_packet/1,
 	 mod_opt_type/1, mod_options/1, depends/2]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(PROCNAME, ejabberd_mod_logxml).
 
Index: ejabberd-contrib/mod_post_log/src/mod_post_log.erl
===================================================================
--- ejabberd-contrib.orig/mod_post_log/src/mod_post_log.erl
+++ ejabberd-contrib/mod_post_log/src/mod_post_log.erl
@@ -21,7 +21,7 @@
 	 log_user_send/4,
          post_result/1]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 start(Host, _Opts) ->
     ok = case inets:start() of
Index: ejabberd-contrib/mod_rest/src/mod_rest.erl
===================================================================
--- ejabberd-contrib.orig/mod_rest/src/mod_rest.erl
+++ ejabberd-contrib/mod_rest/src/mod_rest.erl
@@ -36,7 +36,7 @@
 -include("logger.hrl").
 -include("ejabberd_http.hrl").
 -include("ejabberd_ctl.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 start(_Host, _Opts) ->
     ?DEBUG("Starting: ~p ~p", [_Host, _Opts]),
Index: ejabberd-contrib/mod_muc_log_http/src/mod_muc_log_http.erl
===================================================================
--- ejabberd-contrib.orig/mod_muc_log_http/src/mod_muc_log_http.erl
+++ ejabberd-contrib/mod_muc_log_http/src/mod_muc_log_http.erl
@@ -14,7 +14,7 @@
 
 -export([process/2]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("ejabberd_http.hrl").
 -include("mod_muc_room.hrl").
 -include("logger.hrl").
Index: ejabberd-contrib/mod_pottymouth/src/mod_pottymouth.erl
===================================================================
--- ejabberd-contrib.orig/mod_pottymouth/src/mod_pottymouth.erl
+++ ejabberd-contrib/mod_pottymouth/src/mod_pottymouth.erl
@@ -3,7 +3,7 @@
 -behaviour(gen_mod).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -export([
   start/2,
Index: ejabberd-contrib/mod_statsdx/src/mod_statsdx.erl
===================================================================
--- ejabberd-contrib.orig/mod_statsdx/src/mod_statsdx.erl
+++ ejabberd-contrib/mod_statsdx/src/mod_statsdx.erl
@@ -30,7 +30,7 @@
 	 user_login/1, user_logout/4]).
 
 -include("ejabberd_commands.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("logger.hrl").
 -include("mod_roster.hrl").
 -include("ejabberd_http.hrl").
Index: ejabberd-contrib/mod_message_log/src/mod_message_log.erl
===================================================================
--- ejabberd-contrib.orig/mod_message_log/src/mod_message_log.erl
+++ ejabberd-contrib/mod_message_log/src/mod_message_log.erl
@@ -50,7 +50,7 @@
 	 log_packet_offline/1,
 	 reopen_log/0]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(DEFAULT_FILENAME, <<"message.log">>).
 -define(FILE_MODES, [append, raw]).
Index: ejabberd-contrib/mod_webpresence/src/mod_webpresence.erl
===================================================================
--- ejabberd-contrib.orig/mod_webpresence/src/mod_webpresence.erl
+++ ejabberd-contrib/mod_webpresence/src/mod_webpresence.erl
@@ -31,7 +31,7 @@
 %% API
 -export([start_link/0]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("logger.hrl").
 -include("translate.hrl").
 -include("ejabberd_web_admin.hrl").
Index: ejabberd-contrib/mod_deny_omemo/src/mod_deny_omemo.erl
===================================================================
--- ejabberd-contrib.orig/mod_deny_omemo/src/mod_deny_omemo.erl
+++ ejabberd-contrib/mod_deny_omemo/src/mod_deny_omemo.erl
@@ -34,7 +34,7 @@
 -export([user_receive_packet/1, user_send_packet/1]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(NS_AXOLOTL, "eu.siacs.conversations.axolotl").
 -define(DEVICELIST_NODE, ?NS_AXOLOTL ".devicelist").
Index: ejabberd-contrib/mod_irc/src/mod_irc.erl
===================================================================
--- ejabberd-contrib.orig/mod_irc/src/mod_irc.erl
+++ ejabberd-contrib/mod_irc/src/mod_irc.erl
@@ -42,8 +42,8 @@
 	 mod_opt_type/1, mod_options/1, depends/2]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
--include("mod_irc.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
+-include("../include/mod_irc.hrl").
 -include("translate.hrl").
 
 -define(DEFAULT_IRC_PORT, 6667).
Index: ejabberd-contrib/mod_irc/src/mod_irc_connection.erl
===================================================================
--- ejabberd-contrib.orig/mod_irc/src/mod_irc_connection.erl
+++ ejabberd-contrib/mod_irc/src/mod_irc_connection.erl
@@ -40,7 +40,7 @@
 	 code_change/4]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(SETS, gb_sets).
 
Index: ejabberd-contrib/mod_grafite/src/mod_grafite.erl
===================================================================
--- ejabberd-contrib.orig/mod_grafite/src/mod_grafite.erl
+++ ejabberd-contrib/mod_grafite/src/mod_grafite.erl
@@ -13,7 +13,7 @@
 -behaviour(gen_mod).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(HOOKS, [offline_message_hook,
                 sm_register_connection_hook, sm_remove_connection_hook,
Index: ejabberd-contrib/mod_shcommands/src/mod_shcommands.erl
===================================================================
--- ejabberd-contrib.orig/mod_shcommands/src/mod_shcommands.erl
+++ ejabberd-contrib/mod_shcommands/src/mod_shcommands.erl
@@ -15,7 +15,7 @@
 -export([execute_system/1, execute_erlang/1]).
 -export([web_menu_node/3, web_page_node/5]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("ejabberd_commands.hrl").
 -include("ejabberd_http.hrl").
 -include("ejabberd_web_admin.hrl").
Index: ejabberd-contrib/mod_statsdx/src/mod_stats2file.erl
===================================================================
--- ejabberd-contrib.orig/mod_statsdx/src/mod_stats2file.erl
+++ ejabberd-contrib/mod_statsdx/src/mod_stats2file.erl
@@ -15,7 +15,7 @@
 -export([start/2, stop/1, depends/2, mod_opt_type/1, mod_options/1]).
 -export([loop/5]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 -include("mod_roster.hrl").
 
 -define(PROCNAME, ejabberd_mod_stats2file).
Index: ejabberd-contrib/mod_filter/src/mod_filter.erl
===================================================================
--- ejabberd-contrib.orig/mod_filter/src/mod_filter.erl
+++ ejabberd-contrib/mod_filter/src/mod_filter.erl
@@ -13,7 +13,7 @@
 -export([start/2, stop/1, depends/2, mod_options/1, filter_packet/1]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 start(_Host, _Opts) ->
     ejabberd_hooks:add(filter_packet, global, ?MODULE, filter_packet, 100).
Index: ejabberd-contrib/mod_default_contacts/src/mod_default_contacts.erl
===================================================================
--- ejabberd-contrib.orig/mod_default_contacts/src/mod_default_contacts.erl
+++ ejabberd-contrib/mod_default_contacts/src/mod_default_contacts.erl
@@ -34,7 +34,7 @@
 -export([register_user/2]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 %%--------------------------------------------------------------------
 %% gen_mod callbacks.
Index: ejabberd-contrib/mod_default_rooms/src/mod_default_rooms.erl
===================================================================
--- ejabberd-contrib.orig/mod_default_rooms/src/mod_default_rooms.erl
+++ ejabberd-contrib/mod_default_rooms/src/mod_default_rooms.erl
@@ -34,7 +34,7 @@
 -export([register_user/2]).
 
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 %%--------------------------------------------------------------------
 %% gen_mod callbacks.
Index: ejabberd-contrib/mod_spam_filter/src/mod_spam_filter.erl
===================================================================
--- ejabberd-contrib.orig/mod_spam_filter/src/mod_spam_filter.erl
+++ ejabberd-contrib/mod_spam_filter/src/mod_spam_filter.erl
@@ -57,7 +57,7 @@
 
 -include("ejabberd_commands.hrl").
 -include("logger.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -define(COMMAND_TIMEOUT, timer:seconds(30)).
 
Index: ejabberd-contrib/mod_cron/src/mod_cron.erl
===================================================================
--- ejabberd-contrib.orig/mod_cron/src/mod_cron.erl
+++ ejabberd-contrib/mod_cron/src/mod_cron.erl
@@ -23,7 +23,7 @@
 -include("ejabberd_web_admin.hrl").
 -include("logger.hrl").
 -include("translate.hrl").
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 -record(task, {taskid, timerref, host, task}).
 
Index: ejabberd-contrib/mod_isolation/src/mod_isolation.erl
===================================================================
--- ejabberd-contrib.orig/mod_isolation/src/mod_isolation.erl
+++ ejabberd-contrib/mod_isolation/src/mod_isolation.erl
@@ -23,7 +23,7 @@
 %% hooks
 -export([filter_packet/1]).
 
--include("xmpp.hrl").
+-include_lib("p1_xmpp/include/xmpp.hrl").
 
 %%%===================================================================
 %%% API
Index: ejabberd-contrib/mod_irc/src/mod_irc_mnesia.erl
===================================================================
--- ejabberd-contrib.orig/mod_irc/src/mod_irc_mnesia.erl
+++ ejabberd-contrib/mod_irc/src/mod_irc_mnesia.erl
@@ -30,8 +30,8 @@
 -export([init/2, get_data/3, set_data/4, import/2]).
 -export([need_transform/1, transform/1]).
 
--include("jid.hrl").
--include("mod_irc.hrl").
+-include_lib("p1_xmpp/include/jid.hrl").
+-include("../include/mod_irc.hrl").
 -include("logger.hrl").
 
 %%%===================================================================
Index: ejabberd-contrib/mod_irc/src/mod_irc_riak.erl
===================================================================
--- ejabberd-contrib.orig/mod_irc/src/mod_irc_riak.erl
+++ ejabberd-contrib/mod_irc/src/mod_irc_riak.erl
@@ -29,8 +29,8 @@
 %% API
 -export([init/2, get_data/3, set_data/4, import/2]).
 
--include("jid.hrl").
--include("mod_irc.hrl").
+-include_lib("p1_xmpp/include/jid.hrl").
+-include("../include/mod_irc.hrl").
 
 %%%===================================================================
 %%% API
Index: ejabberd-contrib/mod_irc/src/mod_irc_sql.erl
===================================================================
--- ejabberd-contrib.orig/mod_irc/src/mod_irc_sql.erl
+++ ejabberd-contrib/mod_irc/src/mod_irc_sql.erl
@@ -31,8 +31,8 @@
 %% API
 -export([init/2, get_data/3, set_data/4, import/1, import/2, export/1]).
 
--include("jid.hrl").
--include("mod_irc.hrl").
+-include_lib("p1_xmpp/include/jid.hrl").
+-include("../include/mod_irc.hrl").
 -include("ejabberd_sql_pt.hrl").
 
 %%%===================================================================
